Skip to content

Get All Directories details by country

Request

Returns a list of directories details filtered by country

Security
Authorization
Query
countriesstring

Optional list parameter of comma separated ISO 3166 alpha-2 country codes to filter response

Example:countries=US, DE
curl -i -X GET \
  'https://uberall.com/api/directories/directories-details/countries?countries=US%2C%20DE' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Successfully retrieved Directories Details

Body*/*
statusstringrequired
Enum:"SUCCESS""PENDING""QUOTA_LIMIT_EXCEED""NOT_AUTHORIZED""FORBIDDEN""BAD_ACCESS_TOKEN""BAD_PRIVATE_KEY""BAD_PUBLIC_KEY""MISSING_PARAMETER""INVALID_PARAMETER"
messagestring

(optional) Holds further information about the response

warningsArray of strings

(optional) Holds further warnings

responseobjectrequired

The actual response object of the response

Response
{
  "status": "SUCCESS",
  "message": "string",
  "warnings": [
    "string"
  ],
  "response": {
    "items": [
      {
        "countryCode": "US",
        "directoryDetails": [
          {
            "directoryName": "Google",
            "isSearchable": true
          }
        ]
      }
    ],
    "count": 195,
    "max": 10,
    "offset": 0,
    "nextOffset": 10
  }
}